const path = require("path");
const webpack = require("webpack");
// const uglify = require("uglifyjs-webpack-plugin");
var  isProduction =  process.env.NODE_ENV === 'production';

module.exports = {
    
    entry: isProduction ? "./src/package/index.js" : "./src/main.js",//入口文件
    // entry: "./src/main.js",//npm 入口
    output: {
        path: path.resolve(__dirname, './dist'),//输出路径，就是上步骤中新建的dist目录，
        publicPath: '/dist/',
        filename: 'yintechCrm.min.js',
        library: 'yintechCrm', // 模块名称
        libraryTarget: 'umd', // 输出格式
        umdNamedDefine: true
    },
    module: {
        rules: [{
                test: /\.vue$/,
                loader: 'vue-loader'
            },
            {
                test: /\.less$/,
                use: [
                    { loader: "style-loader" },
                    { loader: "css-loader" },
                    { loader: "less-loader" }
                ]
            },
            {
                test: /\.js$/,
                exclude: /node_modules|vue\/dist|vue-router\/|vue-loader\/|vue-hot-reload-api\//,
                loader: 'babel-loader'
            },
            {
                test: /\.(png|jpg|gif|ttf|svg|woff|eot)$/,
                loader: 'url-loader',
                query: {
                    limit: 30000,
                    name: '[name].[ext]?[hash]'
                }
            }
        ]
    },
    devServer: {
        historyApiFallback: true,
        noInfo: true,
        overlay: true
    },
    resolve: {
        extensions: ['*', '.js', '.vue', '.json']
    },
    devtool: '#eval-source-map',
    // plugins: [
    //     new webpack.DefinePlugin({
    //         "process.env": {
    //             NODE_ENV: JSON.stringify("production")
    //         }
    //     })
    // ]
};


if (process.env.NODE_ENV === 'production') {
  module.exports.devtool = '#source-map'
  // http://vue-loader.vuejs.org/en/workflow/production.html
  module.exports.plugins = (module.exports.plugins || []).concat([
    new webpack.DefinePlugin({
      'process.env': {
        NODE_ENV: '"production"'
      }
    }),
    new webpack.optimize.UglifyJsPlugin({
      sourceMap: true,
      compress: {
        warnings: false
      }
    }),
    new webpack.LoaderOptionsPlugin({
      minimize: true
    })
  ])
}
